// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: demandresponse/DemandResponse.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace DemandResponse {

  /// <summary>Holder for reflection information generated from demandresponse/DemandResponse.proto</summary>
  public static partial class DemandResponseReflection {

    #region Descriptor
    /// <summary>File descriptor for demandresponse/DemandResponse.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static DemandResponseReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiNkZW1hbmRyZXNwb25zZS9EZW1hbmRSZXNwb25zZS5wcm90bxIPZGVtYW5k",
            "X3Jlc3BvbnNlIqYCCg5EZW1hbmRSZXNwb25zZRIdChBzdG9yYWdlX2NhcGFj",
            "aXR5GAEgASgJSACIAQESHAoPY2hhcmdlX2NhcGFjaXR5GAIgASgJSAGIAQES",
            "HwoSZGlzY2hhcmdlX2NhcGFjaXR5GAMgASgJSAKIAQESIwoWcGFydGljaXBh",
            "dGlvbl9pbl9ldmVudBgEIAEoCEgDiAEBEh8KEmxvYWRfY29udHJvbF92YWx1",
            "ZRgFIAEoCUgEiAEBQhMKEV9zdG9yYWdlX2NhcGFjaXR5QhIKEF9jaGFyZ2Vf",
            "Y2FwYWNpdHlCFQoTX2Rpc2NoYXJnZV9jYXBhY2l0eUIZChdfcGFydGljaXBh",
            "dGlvbl9pbl9ldmVudEIVChNfbG9hZF9jb250cm9sX3ZhbHVlQokBCiBjb20u",
            "Y29kaWJseS5tb2RlbC5kZW1hbmRyZXNwb25zZUITRGVtYW5kUmVzcG9uc2VQ",
            "cm90b8oCIERvbWFpbk1vZGVsXFByb3RvXERlbWFuZFJlc3BvbnNl4gIsRG9t",
            "YWluTW9kZWxcUHJvdG9cRGVtYW5kUmVzcG9uc2VcR1BCTWV0YWRhdGFiBnBy",
            "b3RvMw=="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::DemandResponse.DemandResponse), global::DemandResponse.DemandResponse.Parser, new[]{ "StorageCapacity", "ChargeCapacity", "DischargeCapacity", "ParticipationInEvent", "LoadControlValue" }, new[]{ "StorageCapacity", "ChargeCapacity", "DischargeCapacity", "ParticipationInEvent", "LoadControlValue" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class DemandResponse : pb::IMessage<DemandResponse>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<DemandResponse> _parser = new pb::MessageParser<DemandResponse>(() => new DemandResponse());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<DemandResponse> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::DemandResponse.DemandResponseReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DemandResponse() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DemandResponse(DemandResponse other) : this() {
      _hasBits0 = other._hasBits0;
      storageCapacity_ = other.storageCapacity_;
      chargeCapacity_ = other.chargeCapacity_;
      dischargeCapacity_ = other.dischargeCapacity_;
      participationInEvent_ = other.participationInEvent_;
      loadControlValue_ = other.loadControlValue_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DemandResponse Clone() {
      return new DemandResponse(this);
    }

    /// <summary>Field number for the "storage_capacity" field.</summary>
    public const int StorageCapacityFieldNumber = 1;
    private string storageCapacity_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string StorageCapacity {
      get { return storageCapacity_ ?? ""; }
      set {
        storageCapacity_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "storage_capacity" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasStorageCapacity {
      get { return storageCapacity_ != null; }
    }
    /// <summary>Clears the value of the "storage_capacity" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearStorageCapacity() {
      storageCapacity_ = null;
    }

    /// <summary>Field number for the "charge_capacity" field.</summary>
    public const int ChargeCapacityFieldNumber = 2;
    private string chargeCapacity_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ChargeCapacity {
      get { return chargeCapacity_ ?? ""; }
      set {
        chargeCapacity_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "charge_capacity" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasChargeCapacity {
      get { return chargeCapacity_ != null; }
    }
    /// <summary>Clears the value of the "charge_capacity" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearChargeCapacity() {
      chargeCapacity_ = null;
    }

    /// <summary>Field number for the "discharge_capacity" field.</summary>
    public const int DischargeCapacityFieldNumber = 3;
    private string dischargeCapacity_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string DischargeCapacity {
      get { return dischargeCapacity_ ?? ""; }
      set {
        dischargeCapacity_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "discharge_capacity" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasDischargeCapacity {
      get { return dischargeCapacity_ != null; }
    }
    /// <summary>Clears the value of the "discharge_capacity" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearDischargeCapacity() {
      dischargeCapacity_ = null;
    }

    /// <summary>Field number for the "participation_in_event" field.</summary>
    public const int ParticipationInEventFieldNumber = 4;
    private bool participationInEvent_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool ParticipationInEvent {
      get { if ((_hasBits0 & 1) != 0) { return participationInEvent_; } else { return false; } }
      set {
        _hasBits0 |= 1;
        participationInEvent_ = value;
      }
    }
    /// <summary>Gets whether the "participation_in_event" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasParticipationInEvent {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "participation_in_event" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearParticipationInEvent() {
      _hasBits0 &= ~1;
    }

    /// <summary>Field number for the "load_control_value" field.</summary>
    public const int LoadControlValueFieldNumber = 5;
    private string loadControlValue_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string LoadControlValue {
      get { return loadControlValue_ ?? ""; }
      set {
        loadControlValue_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "load_control_value" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasLoadControlValue {
      get { return loadControlValue_ != null; }
    }
    /// <summary>Clears the value of the "load_control_value" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearLoadControlValue() {
      loadControlValue_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as DemandResponse);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(DemandResponse other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (StorageCapacity != other.StorageCapacity) return false;
      if (ChargeCapacity != other.ChargeCapacity) return false;
      if (DischargeCapacity != other.DischargeCapacity) return false;
      if (ParticipationInEvent != other.ParticipationInEvent) return false;
      if (LoadControlValue != other.LoadControlValue) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasStorageCapacity) hash ^= StorageCapacity.GetHashCode();
      if (HasChargeCapacity) hash ^= ChargeCapacity.GetHashCode();
      if (HasDischargeCapacity) hash ^= DischargeCapacity.GetHashCode();
      if (HasParticipationInEvent) hash ^= ParticipationInEvent.GetHashCode();
      if (HasLoadControlValue) hash ^= LoadControlValue.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasStorageCapacity) {
        output.WriteRawTag(10);
        output.WriteString(StorageCapacity);
      }
      if (HasChargeCapacity) {
        output.WriteRawTag(18);
        output.WriteString(ChargeCapacity);
      }
      if (HasDischargeCapacity) {
        output.WriteRawTag(26);
        output.WriteString(DischargeCapacity);
      }
      if (HasParticipationInEvent) {
        output.WriteRawTag(32);
        output.WriteBool(ParticipationInEvent);
      }
      if (HasLoadControlValue) {
        output.WriteRawTag(42);
        output.WriteString(LoadControlValue);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasStorageCapacity) {
        output.WriteRawTag(10);
        output.WriteString(StorageCapacity);
      }
      if (HasChargeCapacity) {
        output.WriteRawTag(18);
        output.WriteString(ChargeCapacity);
      }
      if (HasDischargeCapacity) {
        output.WriteRawTag(26);
        output.WriteString(DischargeCapacity);
      }
      if (HasParticipationInEvent) {
        output.WriteRawTag(32);
        output.WriteBool(ParticipationInEvent);
      }
      if (HasLoadControlValue) {
        output.WriteRawTag(42);
        output.WriteString(LoadControlValue);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasStorageCapacity) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(StorageCapacity);
      }
      if (HasChargeCapacity) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ChargeCapacity);
      }
      if (HasDischargeCapacity) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(DischargeCapacity);
      }
      if (HasParticipationInEvent) {
        size += 1 + 1;
      }
      if (HasLoadControlValue) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(LoadControlValue);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(DemandResponse other) {
      if (other == null) {
        return;
      }
      if (other.HasStorageCapacity) {
        StorageCapacity = other.StorageCapacity;
      }
      if (other.HasChargeCapacity) {
        ChargeCapacity = other.ChargeCapacity;
      }
      if (other.HasDischargeCapacity) {
        DischargeCapacity = other.DischargeCapacity;
      }
      if (other.HasParticipationInEvent) {
        ParticipationInEvent = other.ParticipationInEvent;
      }
      if (other.HasLoadControlValue) {
        LoadControlValue = other.LoadControlValue;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            StorageCapacity = input.ReadString();
            break;
          }
          case 18: {
            ChargeCapacity = input.ReadString();
            break;
          }
          case 26: {
            DischargeCapacity = input.ReadString();
            break;
          }
          case 32: {
            ParticipationInEvent = input.ReadBool();
            break;
          }
          case 42: {
            LoadControlValue = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            StorageCapacity = input.ReadString();
            break;
          }
          case 18: {
            ChargeCapacity = input.ReadString();
            break;
          }
          case 26: {
            DischargeCapacity = input.ReadString();
            break;
          }
          case 32: {
            ParticipationInEvent = input.ReadBool();
            break;
          }
          case 42: {
            LoadControlValue = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
